Subject: bug#18896: regressions in coreutils 8.23 on Yosemite

From: Pádraig Brady <[email-masked]>
Date: Mon, 03 Nov 2014 15:16:58 +0100

On 10/31/2014 05:03 PM, Pádraig Brady wrote:
> On 10/31/2014 03:41 PM, Jack Howarth wrote:
>> On Fri, Oct 31, 2014 at 03:56:06AM +0000, Pádraig Brady wrote:
>>> On 10/31/2014 03:30 AM, Jack Howarth wrote:
>>>> On Fri, Oct 31, 2014 at 02:29:05AM +0000, Pádraig Brady wrote:
>>>>>
>>>>> So linkat() is now available but doesn't support hardlinks to symlinks
>>>>> contrary to the POSIX spec. So it would be best we consider linkat()
>>>>> unavailable, which can be done manually like:
>>>>>
>>>>>   ac_cv_func_linkat=no ./configure
>>>>>
>>>>> We'll have to augment the gnulib linkat check to actually check
>>>>> that linkat() works, rather than just being available.
>>>>
>>>> Passing ac_cv_func_linkat=no to configure and using your attached patch
>>>> results in a large number of failures on x86_64-apple-darwin14.
>>>
>>> Good that's better. coreutils tests have passed, and you're getting
>>> to gnulib issues below.

I pushed the following slightly different more general patch
to gnulib to address this issue:
http://git.sv.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=c8e57ce5

thanks,
Pádraig.